Subject: Re: bug#18266: Bug#758105: bug#18266: grep -P and invalid exits with error

From: Jim Meyering <[email-masked]>
Date: Fri, 12 Sep 2014 09:13:22 -0700

On Thu, Sep 11, 2014 at 12:10 PM, Paul Eggert <[email-masked]> wrote:
> On 09/11/2014 11:37 AM, Jim Meyering wrote:
>>
>> Would you mind adding a test to trigger that one?
>
> Ordinarily I would have done that already but this -P stuff is so buggy and
> slow that I got discouraged.  (If we keep having trouble with -P I may start
> lobbying to remove it....) Anyway, I gave it a shot with the attached
> further patch.

Thank you. Looks perfect.

I too rely on grep's -P, sometimes using PCRE features
that are very hard to emulate using EREs.